genray {VGAM} | R Documentation

## The Generalized Rayleigh Distribution

### Description

Density, distribution function, quantile function and random generation for the generalized Rayleigh distribution.

### Usage

    dgenray(x, scale = 1, shape, log = FALSE)
    pgenray(q, scale = 1, shape, lower.tail = TRUE, log.p = FALSE)
    qgenray(p, scale = 1, shape, lower.tail = TRUE, log.p = FALSE)
    rgenray(n, scale = 1, shape)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1` then the length is taken to be the number required.
`scale, shape` | positive scale and shape parameters.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `genrayleigh`, the VGAM family function for estimating the parameters, for the formula of the probability density function and other details.

### Value

`dgenray` gives the density, `pgenray` gives the distribution function, `qgenray` gives the quantile function, and `rgenray` generates random deviates.

### Note

We define `scale` as the reciprocal of the scale parameter used by Kundu and Raqab (2005).

### Author(s)

Kai Huang and J. G. Lauder and T. W. Yee

### See Also

`genrayleigh`, `rayleigh`.

### Examples

    ## Not run:
    shape <- 0.5; Scale <- 1; nn <- 501
    x <- seq(-0.10, 3.0, len = nn)
    plot(x, dgenray(x, shape, scale = Scale), type = "l", las = 1, ylim = c(0, 1.2),
         ylab = paste("[dp]genray(shape = ", shape, ", scale = ", Scale, ")"),
         col = "blue", cex.main = 0.8,
         main = "Blue is density, orange is cumulative distribution function",
         sub = "Purple lines are the 10,20,...,90 percentiles")
    lines(x, pgenray(x, shape, scale = Scale), col = "orange")
    probs <- seq(0.1, 0.9, by = 0.1)
    Q <- qgenray(probs, shape, scale = Scale)
    lines(Q, dgenray(Q, shape, scale = Scale), col = "purple", lty = 3, type = "h")
    lines(Q, pgenray(Q, shape, scale = Scale), col = "purple", lty = 3, type = "h")
    abline(h = probs, col = "purple", lty = 3)
    max(abs(pgenray(Q, shape, scale = Scale) - probs))  # Should be 0

    ## End(Not run)

[Package VGAM version 1.0-4 Index]